aboutsummaryrefslogtreecommitdiff
path: root/bin/rndl
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-02 14:27:59 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-02 14:27:59 +1200
commitcfd522738c2557575d1d5c118a9ee56b64dcb103 (patch)
tree0d5a6930949fd717071e1a1ce023bd9d70f6cc97 /bin/rndl
parentMake clwr(1) executable (diff)
downloaddotfiles-cfd522738c2557575d1d5c118a9ee56b64dcb103.tar.gz
dotfiles-cfd522738c2557575d1d5c118a9ee56b64dcb103.zip
Add options terminator to sed(1) call in rndl(1)
Diffstat (limited to 'bin/rndl')
-rwxr-xr-xbin/rndl2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/rndl b/bin/rndl
index 1354ae28..416c96be 100755
--- a/bin/rndl
+++ b/bin/rndl
@@ -4,6 +4,6 @@ if [ "$#" -eq 0 ] ; then
printf >&2 'rndl: Need at least one filename\n'
exit 1
fi
-lc=$(sed '$=;d' "$@") || exit
+lc=$(sed -- '$=;d' "$@") || exit
ri=$(rndi 1 "$lc") || exit
sed -- "$ri"'!d' "$@"